% Sample code from the book: "Colored Petri Nets for 
% Modeling of Discrete Systems: A practical approach with GPenSIM"
% 
% Example-28: resource Usage Cost
% Reggie.davidrajuh@uis.no  (c) 20 Nov 2017

clear all; clc;

global global_info
global_info.STOP_AT = 200;

pns = pnstruct('ruc_pdf');

dyn.m0 = {'pInBUFF', 2}; % two test samples
dyn.ft = {'tPrint_A',10, 'tPrint_B',20}; 
dyn.fc_fixed =  {'tPrint_A',1000, 'tPrint_B',750};
dyn.fc_variable = {'tPrint_A',100, 'tPrint_B',75};

dyn.re = {'Premia',1,inf, 'Rainbow',3,inf};
dyn.rc_fixed = {'Premia',1000, 'Rainbow',800};
dyn.rc_variable = {'Premia',100, 'Rainbow',80};

pni = initialdynamics(pns, dyn);

sim = gpensim(pni);

prnfinalcolors(sim);
prnschedule(sim);
